/************************************************************************/
/*  Routines for msextract.						*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996-2000 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: procs.h,v 1.5 2003/10/29 21:17:28 lombard Exp $ 	*/

int parse_cmdline 
   (int		*pargc,		/* ptr to argc.				*/
    char	***pargv);	/* ptr to argv.				*/

double time_seconds 
   (char	*span);		/* timespan string.			*/

int get_events 
    (FILE	*fp,		/* input FILE.				*/
     EVENT	**p_evts);	/* ptr to ptr to events (returned).	*/

int get_box
    (VERTEX 	**p_points,	/* ptr to array of vertices (returned)	*/
     WINDOW	**p_window);	/* ptr to ptr to box window (returned)	*/

void get_windows
    (EVENT *evts, 		/* array of events			*/
     int nevts, 		/* number of events			*/
     VERTEX *points, 		/* array of points, a polygon		*/
     int npoints, 		/* number of points in array		*/
     WINDOW **p_windows, 	/* ptr to array of windows (returned)	*/
     int *nwindows, 		/* ptr to number of windows (returned)	*/
     WINDOW *box_window, 	/* ptr to box window			*/
     DATA_HDR *hdr);		/* ptr to SEED data header		*/

double distance 
   (VERTEX	pt1,		/* first location.			*/
    VERTEX	pt2);		/* second location.			*/

double gc_collat
   (double	lat);		/* latitude in radians.			*/

void angles
   (double	x,		/* cartesian coordinate x		*/
    double	y,		/* cartesian coordinate y		*/
    double	z,		/* cartesian coordinate z		*/
    double	*theta,		/* returned spherical polar coordinate.	*/
    double	*phi);		/* returned spherical polar coordinate.	*/
